extends Resource
class_name ItemType

export var name: String
export var visual_scene: PackedScene

func spawn_node() -> Spatial:
	var node = preload("res://scenes/item.tscn").instance()
	node.set_item_type(self)
	return node
